.explore-accessories {
  background-color: var(--nexa-primary-main);
  color: var(--tertiary-color);
  padding: var(--spacing-big) 0 var(--spacing-big) var(--spacing-l);
  overflow-x: hidden;

  @media (width >= 768px) {
    padding: var(--spacing-big) var(--spacing-none) var(--spacing-big) var(--spacing-l);
  }

  @media (width >= 1024px) {
    padding: var(--spacing-xxbig) var(--spacing-56);
  }

  .explore-accessories__wrapper {
    display: flex;
    flex-direction: column;
    gap: var(--sizing-xl);

    @media (width >= 1024px) {
      gap: var(--spacing-xbig);
      max-width: 1256px;
      margin: 0 auto;
    }
  }

  .explore-accessories__top {
    position: relative;
    display: flex;
    flex-direction: column-reverse;
    gap: var(--sizing-xl);
    width: 100%;
    padding-right: var(--spacing-l);

    @media (width >= 768px) {
      flex-direction: row;
      justify-content: space-between;
      align-items: flex-start;
    }
  }

  .explore-accessories__content-left {
    display: flex;
    flex-direction: column;
    gap: var(--sizing-xl);
    flex: 1;
    align-items: center;

    @media (width >= 768px) {
      align-items: unset;
    }

    @media (width >= 1024px) {
      gap: var(--spacing-big);
    }
  }

  .explore-accessories__titles {
    display: flex;
    flex-direction: column;
    gap: var(--sizing-s);
    max-width: 320px;
    text-align: center;

    @media (width >= 768px) {
      gap: var(--sizing-m);
      max-width: 393px;
    }

    @media (width >= 1024px) {
      gap: var(--sizing-m);
      max-width: 483px;
      text-align: unset;
    }
  }

  .explore-accessories__title {
    font-weight: 400;
    font-size: var(--fs-28);
    line-height: 1.2;
    margin: 0;
    color: var(--tertiary-color);

    @media (width >= 1024px) {
      font-size: var(--fs-xxlarge);
    }
  }

  .explore-accessories__subtitle {
    font-weight: 300;
    font-size: var(--fs-small);
    line-height: 1.2;
    margin: 0;
    color: var(--tertiary-color);

    @media (width >= 1024px) {
      font-size: var(--fs-medium);
    }
  }

  /* stylelint-disable no-descending-specificity */
  .explore-accessories__cta,
  .explore-accessories__cta:any-link {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border: var(--shape-border-width-1) solid var(--tertiary-color) !important;
    padding: var(--sizing-s) var(--sizing-3xl);
    font-size: var(--fs-small);
    line-height: var(--lh-16);
    color: var(--tertiary-color) !important;
    text-decoration: none;
    width: fit-content;
    background-color: transparent !important;
    cursor: pointer;
    height: var(--sizing-3xl);
    box-sizing: border-box;

    &:hover,
    &:active {
      background-color: var(--tertiary-color) !important;
      color: var(--nexa-primary-main) !important;
    }
  }

  .explore-accessories__content-right {
    display: flex;
    flex-direction: row;
    justify-content: center;
    width: 100%;

    @media (width >= 768px) {
      width: auto;
    }
  }

  .explore-accessories__logo {
    width: 139px;
    height: 30.9px;
    background-size: contain;
    background-position: right top;
    background-repeat: no-repeat;
    margin-top: 0;

    @media (width >= 1024px) {
      width: 198px;
      height: 44px;
      background-position: right center;
    }
  }

  .explore-accessories__cards {
    min-width: 0;
    width: 100%;
    display: flex;
    gap: var(--spacing-18);
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    padding-bottom: var(--sizing-xs);
    padding-right: var(--sizing-l);
    -ms-overflow-style: none;
    scrollbar-width: none;

    &::-webkit-scrollbar {
      display: none;
    }

    @media (width >= 1024px) {
      gap: var(--sizing-xl);
      margin-right: -104px;
      padding-right: 104px;
      flex-wrap: nowrap;
    }
  }

  .explore-accessories__card-container {
    scroll-snap-align: start;
    flex: 0 0 auto;
    flex-shrink: 0;
  }

  .explore-accessories__card {
    position: relative;
    display: block;
    width: 226px;
    aspect-ratio: 225 / 285;
    background-color: transparent;
    overflow: hidden;
    text-decoration: none;

    @media (width >= 768px) {
      width: calc((100vw - var(--spacing-l) - var(--spacing-l) - (3 * var(--sizing-m))) / 4);
      aspect-ratio: 170 / 228;
    }

    @media (width >= 1024px) {
      width: 296px;
      aspect-ratio: 296 / 393;
    }
  }

  .explore-accessories__card-image-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    picture,
    img {
      position: absolute;
      inset: 0;
      width: 100%;
      height: 100%;
      object-fit: cover;
      display: block;
    }
  }

  .explore-accessories__card-gradient {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: linear-gradient(4.16deg, rgb(0 0 0 / 0%) 32.5%, rgb(0 0 0) 97.35%);
    pointer-events: none;
  }

  .explore-accessories__card-title {
    position: absolute;
    top: var(--spacing-26);
    left: 50%;
    transform: translateX(-50%);
    color: var(--tertiary-color);
    font-size: var(--fs-xmedium);
    line-height: 1.2;
    font-weight: 400;
    text-align: center;
    white-space: nowrap;
    pointer-events: none;

    @media (width >= 768px) {
      top: var(--sizing-xl);
      font-size: var(--fs-medium);
    }

    @media (width >= 1024px) {
      top: var(--spacing-xbig);
      font-size: var(--fs-28);
      line-height: 1.3;
    }
  }
}
